Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver Class Reference
Inheritance diagram for eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver:

## Public Member Functions
| send ()
| Send the request. More...
| setHost ($host)
| Set request host. More...
| setResource ($resource)
| Set request resource url. More...
| setMethod ($method)
| Set request method. More...
| getStatusCode ()
| Get response status code. More...
| getStatusMessage ()
| Get response status message. More...
| setHeader ($header, $value)
| Set request header. More...
| getHeaders ()
| Get all response headers. More...
| getBody ()
| Get response body. More...
| setBody ($body)
| Set request body. More...
Public Member Functions inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
| getHeader ($header)
| Get response header. More...
| setHeaders ($headers)
| Set request headers. More...
| setAuthentication ($user, $password, $type=self::AUTH_TYPE_BASIC)
| Set authentication. More...

## Protected Member Functions
| getResponse ()
| Get response. More...
| getRequest ()
| Prepare and get request. More...

## Private Attributes
| $response = null
| $host = null
| $resource = ''
| $method = null
| $headers = []
| $body = null

## Additional Inherited Members
Public Attributes inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
const | AUTH_TYPE_BASIC = 'BASIC'
| authentication types. More...

## Detailed Description

Definition at line 12 of file BuzzDriver.php.

## Member Function Documentation

## ◆ getBody()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::getBody | ( |  | ) |

Get response body.

Returns
  string

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 201 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getResponse().

## ◆ getHeaders()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::getHeaders | ( |  | ) |

Get all response headers.

Returns
  array Associative array with $header => $value (value can be an array if it hasn't a single value)

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 189 of file BuzzDriver.php.

## ◆ getRequest()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::getRequest | ( |  | ) |
| protected

Prepare and get request.

Returns
  \Psr\Http\Message\RequestInterface

Definition at line 75 of file BuzzDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\send().

## ◆ getResponse()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::getResponse | ( |  | ) |
| protected

Get response.

Returns
  \Psr\Http\Message\ResponseInterface

Exceptions

Definition at line 61 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\$response.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getBody(), eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getStatusCode(), and eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getStatusMessage().

## ◆ getStatusCode()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::getStatusCode | ( |  | ) |

Get response status code.

Returns
  string

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 150 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getResponse().

## ◆ getStatusMessage()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::getStatusMessage | ( |  | ) |

Get response status message.

Returns
  string

Exceptions

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 162 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getResponse().

## ◆ send()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::send | ( |  | ) |

Send the request.

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 92 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getRequest().

## ◆ setBody()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::setBody | ( |  | $body | ) |

Set request body.

Parameters

  string | $body |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 215 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\$body.

## ◆ setHeader()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::setHeader | ( |  | $header,
|  |  | $value
| ) |  |

Set request header.

Parameters

  string | $header | Header to be set
  mixed | $value |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 173 of file BuzzDriver.php.

## ◆ setHost()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::setHost | ( |  | $host | ) |

Set request host.

Parameters

  string | $host |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 109 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\$host.

## ◆ setMethod()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::setMethod | ( |  | $method | ) |

Set request method.

Parameters

  string | $method | Can be GET, POST, PATCH, ...

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 133 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\$method.

## ◆ setResource()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::setResource | ( |  | $resource | ) |

Set request resource url.

Parameters

  string | $resource |

Implements eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface.

Definition at line 123 of file BuzzDriver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\$resource.

## Member Data Documentation

## ◆ $body

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::$body = null
| private

Definition at line 52 of file BuzzDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\setBody().

## ◆ $headers

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::$headers = []
| private

Definition at line 45 of file BuzzDriver.php.

## ◆ $host

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::$host = null
| private

Definition at line 24 of file BuzzDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\setHost().

## ◆ $method

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::$method = null
| private

Definition at line 38 of file BuzzDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\setMethod().

## ◆ $resource

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::$resource = ''
| private

Definition at line 31 of file BuzzDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\setResource().

## ◆ $response

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver::$response = null
| private

Definition at line 17 of file BuzzDriver.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\BuzzDriver\getResponse().

The documentation for this class was generated from the following file:

- BuzzDriver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.